---
id: 699b68f94a0d154c2a7a5ce0
title: Step 9
challengeType: 1
dashedName: step-9
---

# --description--

Now that the `profile` object is complete, it is time to build out a new object which represents the user roles.

Create a new variable called `userRoles` and assign it an object. Your object should have the following properties and values:

```md
admin: "full-access",
editor: "limited-access",
viewer: "read-only"
```

# --hints--

You should have a variable called `userRoles`.

```js
assert.isDefined(userRoles);
```

Your `userRoles` variable should be an object.

```js
assert.isObject(userRoles);
```

Your `userRoles` object should have an `admin` property.

```js
assert.property(userRoles, "admin");
```

Your `admin` property should have a value of `"full-access"`.

```js
assert.propertyVal(userRoles, "admin", "full-access");
```

Your `userRoles` object should have an `editor` property.

```js
assert.property(userRoles, "editor");
```

Your `editor` property should have a value of `"limited-access"`.

```js
assert.propertyVal(userRoles, "editor", "limited-access");
```

Your `userRoles` object should have a `viewer` property.

```js
assert.property(userRoles, "viewer");
```

Your `viewer` property should have a value of `"read-only"`.

```js
assert.propertyVal(userRoles, "viewer", "read-only");
```

# --seed--

## --seed-contents--

```ts
const profile: {
  username: string;
  age: number;
  isLoggedIn: boolean;
  bio?: string;
  programmingLanguages: string[];
} = {
  username: "codeLearner",
  age: 25,
  isLoggedIn: false,
  programmingLanguages: ["JavaScript", "Python", "C++"]
};

console.log(profile);

--fcc-editable-region--

--fcc-editable-region--
```
